SQ(1)

NAME
sq encrypt - Encrypts a message

SYNOPSIS
sq encrypt [OPTIONS] FILE

DESCRIPTION
Encrypts a message.

Encrypts a message for any number of recipients and with any number of passwords, optionally signing the message in the process.

The converse operation is `sq decrypt`.

`sq encrypt` respects the reference time set by the top-level `--time` argument. It uses the reference time when selecting encryption keys, and it sets the signature's creation time to the reference time.

OPTIONS

  Subcommand options

-B, --binary
    Emits binary data

--compression=KIND
    Selects compression scheme to use

--encrypt-for=PURPOSE
    Selects what kind of keys are considered for encryption. 'transport' select subkeys marked as suitable for transport encryption, 'storage' selects those for encrypting data at rest, and 'universal' selects all encryption-capable subkeys.

-o, --output=FILE
    Writes to FILE or stdout if omitted

--private-key-store=KEY_STORE
    Provides parameters for private key store

--recipient-cert=FINGERPRINT|KEYID
    Encrypts to the named certificates

--recipient-email=EMAIL
    Encrypts to all certificates that can be authenticated for the specified email address

--recipient-file=CERT_RING_FILE
    Encrypts to all certificates in CERT_RING_FILE

--recipient-userid=USERID
    Encrypts to all certificates that can be authenticated for the specified User ID

-s, --symmetric
    Prompts to add a password to encrypt with. When using this option, the user is asked to provide a password, which is used to encrypt the message. This option can be provided more than once to provide more than one password. The encrypted data can afterwards be decrypted with either one of the recipient's keys, or one of the provided passwords.

--set-metadata-filename
    Sets the filename of the encrypted file as metadata. Do note, that this metadata is not signed and as such relying on it - on sender or receiver side - is generally considered dangerous.

--set-metadata-time=TIME
    Sets time for encrypted file as metadata. Allows setting TIME either as ISO 8601 formatted string or by providing custom keywords. With `none`, the metadata is not set. With `file-creation`, the metadata is set to the file's creation timestamp. With `file-modification`, the metadata is set to the file's last modification timestamp. With `message-creation`, the metadata is set to the creation timestamp of the message for which the metadata is added. Do note, that this metadata is not signed and as such relying on it - on sender or receiver side - is generally considered dangerous.

--signer-file=KEY_FILE
    Signs the message using the key in KEY_FILE

--use-expired-subkey
    If a certificate has only expired encryption-capable subkeys, falls back to using the one that expired last

FILE
    Reads from FILE or stdin if omitted

  Global options

--cert-store=PATH
    Specifies the location of the certificate store. By default, sq uses the OpenPGP certificate directory at `$HOME/.local/share/pgp.cert.d`, and creates it if it does not exist.

-f, --force
    Overwrites existing files

-h, --help
    Print help (see a summary with '-h')

--keyring=PATH
    Specifies the location of a keyring to use. Keyrings are used in addition to any certificate store. The content of the keyring is not imported into the certificate store. When a certificate is looked up, it is looked up in all keyrings and any certificate store, and the results are merged together.

--known-notation=NOTATION
    Adds NOTATION to the list of known notations. This is used when validating signatures. Signatures that have unknown notations with the critical bit set are considered invalid.

--no-cert-store
    Disables the use of a certificate store. Normally sq uses the user's standard cert-d, which is located in `$HOME/.local/share/pgp.cert.d`.

--output-format=FORMAT
    Produces output in FORMAT, if possible

--output-version=VERSION
    Produces output variant VERSION, such as 0.0.0. The default is the newest version. The output version is separate from the version of the sq program. To see the current supported versions, use output-versions subcommand.

--pep-cert-store=PATH
    Specifies the location of a pEp certificate store. sq does not use a pEp certificate store by default; it must be explicitly enabled using this argument or the corresponding environment variable, PEP_CERT_STORE. The pEp Engine's default certificate store is at `$HOME/.pEp/keys.db`.

--time=TIME
    Sets the reference time as an ISO 8601 formatted timestamp. Normally, commands use the current time as the reference time. This argument allows the user to use a difference reference time. For instance, when creating a key using `sq key generate`, the creation time is normally set to the current time, but can be overridden using this option. Similarly, when verifying a message, the message is verified with respect to the current time. This option allows the user to use a different time.

    TIME is interpreted as an ISO 8601 timestamp. To set the certification time to July 21, 2013 at midnight UTC, you can do:

    $ sq --time 20130721 verify msg.pgp

    To include a time, say 5:50 AM, add a T, the time and optionally the timezone (the default timezone is UTC):

    $ sq --time 20130721T0550+0200 verify msg.pgp

--trust-root=FINGERPRINT|KEYID
    Considers the specified certificate to be a trust root. Trust roots are used by trust models, e.g., the Web of Trust, to authenticate certificates and User IDs.

-v, --verbose
    Be more verbose.

EXAMPLES

Encrypt a file using a certificate

    sq encrypt --recipient-file romeo.pgp message.txt

Encrypt a file creating a signature in the process

    sq encrypt --recipient-file romeo.pgp --signer-file juliet.pgp \
        message.txt

Encrypt a file using a password

    sq encrypt --symmetric message.txt

SEE ALSO
sq(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.33.0 (sequoia-openpgp 1.17.0)